| OpenCV 3.4.1 Open Source Computer Vision

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
cv::TrackerKCF Class Referenceabstract
Tracking API

KCF is a novel tracking framework that utilizes properties of circulant matrix to enhance the processing speed. This tracking method is an implementation of [78] which is extended to KCF with color-names features ([37]). The original paper of KCF is available at http://www.robots.ox.ac.uk/~joao/publications/henriques_tpami2015.pdf as well as the matlab implementation. For more information about KCF with color-names features, please refer to http://www.cvl.isy.liu.se/research/objrec/visualtracking/colvistrack/index.html. More...

`#include "tracker.hpp"`

Inheritance diagram for cv::TrackerKCF:

## Classes
struct | Params

## Public Types
enum | MODE { GRAY = (1 << 0), CN = (1 << 1), CUSTOM = (1 << 2) }
| Feature type to be used in the tracking grayscale, colornames, compressed color-names The modes available now: More...

## Public Member Functions
virtual | ~TrackerKCF ()
virtual void | setFeatureExtractor (void(*)(const Mat, const Rect, Mat &), bool pca_func=false)=0
Public Member Functions inherited from cv::Tracker
virtual | ~Tracker ()
bool | init (InputArray image, const Rect2d &boundingBox)
| Initialize the tracker with a known bounding box that surrounded the target. More...
virtual void | read (const FileNode &fn)=0
| Reads algorithm parameters from a file storage. More...
bool | update (InputArray image, Rect2d &boundingBox)
| Update the tracker, find the new most likely bounding box for the target. More...
virtual void | write (FileStorage &fs) const =0
| Stores algorithm parameters in a file storage. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< TrackerKCF > | create (const TrackerKCF::Params &parameters)
| Constructor. More...
static Ptr< TrackerKCF > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Tracker
virtual bool | initImpl (const Mat &image, const Rect2d &boundingBox)=0
virtual bool | updateImpl (const Mat &image, Rect2d &boundingBox)=0
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const
Protected Attributes inherited from cv::Tracker
Ptr< TrackerFeatureSet > | featureSet
bool | isInit
Ptr< TrackerModel > | model
Ptr< TrackerSampler > | sampler

## Detailed Description

KCF is a novel tracking framework that utilizes properties of circulant matrix to enhance the processing speed. This tracking method is an implementation of [78] which is extended to KCF with color-names features ([37]). The original paper of KCF is available at http://www.robots.ox.ac.uk/~joao/publications/henriques_tpami2015.pdf as well as the matlab implementation. For more information about KCF with color-names features, please refer to http://www.cvl.isy.liu.se/research/objrec/visualtracking/colvistrack/index.html.

## Member Enumeration Documentation

## § MODE

enum cv::TrackerKCF::MODE

Feature type to be used in the tracking grayscale, colornames, compressed color-names The modes available now:

- "GRAY" – Use grayscale values as the feature
- "CN" – Color-names feature

Enumerator
GRAY |
CN |
CUSTOM |

## Constructor & Destructor Documentation

## § ~TrackerKCF()

virtual cv::TrackerKCF::~TrackerKCF | ( |  | ) |
| inline virtual

## Member Function Documentation

## § create() [1/2]

static Ptr<TrackerKCF> cv::TrackerKCF::create | ( | const TrackerKCF::Params & | parameters | ) |
| static

Python:
| retval | = | cv.TrackerKCF_create( |  | )

Constructor.

Parameters

  parameters | KCF parameters TrackerKCF::Params

## § create() [2/2]

static Ptr<TrackerKCF> cv::TrackerKCF::create | ( |  | ) |
| static

Python:
| retval | = | cv.TrackerKCF_create( |  | )

## § setFeatureExtractor()

virtual void cv::TrackerKCF::setFeatureExtractor | ( | void(*)(const Mat, const Rect, Mat &) | ,
|  | bool | pca_func = `false`
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/tracker.hpp